diff --git a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
index dbc416ec..40c975cb 100644
--- a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
+++ b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
@@ -1558,28 +1608,27 @@ define('tools.querytool', [
       );
     },
 
-    on_download: function () {
+    on_download: function() {
       queryToolActions.download(this.handler);
     },
 
-    keyAction: function (event) {
+    keyAction: function(event) {
       keyboardShortcuts.processEvent(this.handler, queryToolActions, event);
-    }
+    },
   });
 
   /* Defining controller class for data grid, which actually
    * perform the operations like executing the sql query, poll the result,
    * render the data in the grid, Save/Refresh the data etc...
    */
-  var SqlEditorController = function (container, options) {
+  var SqlEditorController = function() {
     this.initialize.apply(this, arguments);
   };
 
   _.extend(
     SqlEditorController.prototype,
-    Backbone.Events,
-    {
-      initialize: function (container, opts) {
+    Backbone.Events, {
+      initialize: function(container) {
         this.container = container;
       },
 
@@ -1587,7 +1636,7 @@ define('tools.querytool', [
        * call the render method of the grid view to render the backgrid
        * header and loading icon and start execution of the sql query.
        */
-      start: function (is_query_tool, editor_title, script_sql, is_new_browser_tab, server_type, prompt_save_changes) {
+      start: function(is_query_tool, editor_title, script_sql, is_new_browser_tab, server_type, prompt_save_changes) {
         var self = this;
 
         self.is_query_tool = is_query_tool;
@@ -1610,7 +1659,7 @@ define('tools.querytool', [
 
         self.gridView = new SQLEditorView({
           el: self.container,
-          handler: self
+          handler: self,
         });
         self.transId = self.gridView.transId = self.container.data('transId');
 
@@ -1659,10 +1708,9 @@ define('tools.querytool', [
           if (script_sql && script_sql !== '') {
             self.gridView.query_tool_obj.setValue(script_sql);
           }
-        }
-        else {
+        } else {
           // Disable codemirror by setting cursor to nocursor and background to dark.
-          self.gridView.query_tool_obj.setOption("readOnly", 'nocursor');
+          self.gridView.query_tool_obj.setOption('readOnly', 'nocursor');
           var cm = self.gridView.query_tool_obj.getWrapperElement();
           if (cm) {
             cm.className += ' bg-gray-1 opacity-5';
@@ -1674,33 +1722,36 @@ define('tools.querytool', [
 
       // This function checks if there is any dirty data in the grid before
       // it executes the sql query
-      execute_data_query: function () {
+      execute_data_query: function() {
         var self = this;
 
         // Check if the data grid has any changes before running query
         if (_.has(self, 'data_store') &&
-          ( _.size(self.data_store.added) ||
-          _.size(self.data_store.updated) ||
-          _.size(self.data_store.deleted))
+          (_.size(self.data_store.added) ||
+            _.size(self.data_store.updated) ||
+            _.size(self.data_store.deleted))
         ) {
-          alertify.confirm(gettext("Unsaved changes"),
-            gettext("The data has been modified, but not saved. Are you sure you wish to discard the changes?"),
-            function () {
+          alertify.confirm(gettext('Unsaved changes'),
+            gettext('The data has been modified, but not saved. Are you sure you wish to discard the changes?'),
+            function() {
               // Do nothing as user do not want to save, just continue
               self._run_query();
             },
-            function () {
+            function() {
               // Stop, User wants to save
               return true;
             }
-          ).set('labels', {ok: 'Yes', cancel: 'No'});
+          ).set('labels', {
+            ok: 'Yes',
+            cancel: 'No',
+          });
         } else {
           self._run_query();
         }
       },
 
       // This function makes the ajax call to execute the sql query.
-      _run_query: function () {
+      _run_query: function() {
         var self = this;
         self.query_start_time = new Date();
         self.rows_affected = 0;
@@ -1714,20 +1765,22 @@ define('tools.querytool', [
 
         self.trigger(
           'pgadmin-sqleditor:loading-icon:show',
-          gettext("Initializing query execution.")
+          gettext('Initializing query execution.')
         );
 
-        $("#btn-flash").prop('disabled', true);
+        $('#btn-flash').prop('disabled', true);
 
         self.trigger(
           'pgadmin-sqleditor:loading-icon:message',
-          gettext("Waiting for the query execution to complete...")
+          gettext('Waiting for the query execution to complete...')
         );
 
         $.ajax({
-          url: url_for('sqleditor.view_data_start', {'trans_id': self.transId}),
+          url: url_for('sqleditor.view_data_start', {
+            'trans_id': self.transId,
+          }),
           method: 'GET',
-          success: function (res) {
+          success: function(res) {
             if (res.data.status) {
 
               self.can_edit = res.data.can_edit;
@@ -1747,34 +1800,32 @@ define('tools.querytool', [
                 $('#btn-filter-dropdown').removeClass('btn-default');
                 $('#btn-filter').addClass('btn-warning');
                 $('#btn-filter-dropdown').addClass('btn-warning');
-              }
-              else {
+              } else {
                 $('#btn-filter').removeClass('btn-warning');
                 $('#btn-filter-dropdown').removeClass('btn-warning');
                 $('#btn-filter').addClass('btn-default');
                 $('#btn-filter-dropdown').addClass('btn-default');
               }
-              $("#btn-save").prop('disabled', true);
-              $("#btn-file-menu-dropdown").prop('disabled', true);
-              $("#btn-copy-row").prop('disabled', true);
-              $("#btn-paste-row").prop('disabled', true);
+              $('#btn-save').prop('disabled', true);
+              $('#btn-file-menu-dropdown').prop('disabled', true);
+              $('#btn-copy-row').prop('disabled', true);
+              $('#btn-paste-row').prop('disabled', true);
 
               // Set the combo box value
-              $(".limit").val(res.data.limit);
+              $('.limit').val(res.data.limit);
 
               // If status is True then poll the result.
               self._poll();
-            }
-            else {
+            } else {
               self.trigger('pgadmin-sqleditor:loading-icon:hide');
               self.update_msg_history(false, res.data.result);
             }
           },
-          error: function (e) {
+          error: function(e) {
             self.trigger('pgadmin-sqleditor:loading-icon:hide');
             if (e.readyState == 0) {
               self.update_msg_history(false,
-                gettext("Not connected to the server or the connection to the server has been closed.")
+                gettext('Not connected to the server or the connection to the server has been closed.')
               );
               return;
             }
@@ -1785,41 +1836,41 @@ define('tools.querytool', [
               msg = e.responseJSON.errormsg;
 
             self.update_msg_history(false, msg);
-          }
+          },
         });
       },
 
       // This is a wrapper to call_render function
       // We need this because we have separated columns route & result route
       // We need to combine both result here in wrapper before rendering grid
-      call_render_after_poll: function (res) {
+      call_render_after_poll: function(res) {
         var self = this;
         self.query_end_time = new Date();
         self.rows_affected = res.rows_affected,
           self.has_more_rows = res.has_more_rows;
 
-          /* If no column information is available it means query
-             runs successfully with no result to display. In this
-             case no need to call render function.
-          */
-          if (res.colinfo != null)
-            self._render(res);
-          else {
-            // Show message in message and history tab in case of query tool
-            self.total_time = self.get_query_run_time(self.query_start_time, self.query_end_time);
-            var msg = S(gettext("Query returned successfully in %s.")).sprintf(self.total_time).value();
-            res.result += "\n\n" + msg;
-            self.update_msg_history(true, res.result, false);
-            // Display the notifier if the timeout is set to >= 0
-            if (self.info_notifier_timeout >= 0) {
-              alertify.success(msg, self.info_notifier_timeout);
-            }
+        /* If no column information is available it means query
+           runs successfully with no result to display. In this
+           case no need to call render function.
+           */
+        if (res.colinfo != null)
+          self._render(res);
+        else {
+          // Show message in message and history tab in case of query tool
+          self.total_time = self.get_query_run_time(self.query_start_time, self.query_end_time);
+          var msg = S(gettext('Query returned successfully in %s.')).sprintf(self.total_time).value();
+          res.result += '\n\n' + msg;
+          self.update_msg_history(true, res.result, false);
+          // Display the notifier if the timeout is set to >= 0
+          if (self.info_notifier_timeout >= 0) {
+            alertify.success(msg, self.info_notifier_timeout);
           }
+        }
 
         // Enable/Disable query tool button only if is_query_tool is true.
         if (self.is_query_tool) {
           self.disable_tool_buttons(false);
-          $("#btn-cancel-query").prop('disabled', true);
+          $('#btn-cancel-query').prop('disabled', true);
         }
         is_query_running = false;
         self.trigger('pgadmin-sqleditor:loading-icon:hide');
@@ -1831,57 +1882,56 @@ define('tools.querytool', [
        * till the status is 'Success' or 'NotConnected'. If status is
        * 'Success' then call the render method to render the data.
        */
-      _poll: function () {
+      _poll: function() {
         var self = this;
 
         setTimeout(
-          function () {
+          function() {
             $.ajax({
-              url: url_for('sqleditor.poll', {'trans_id': self.transId}),
+              url: url_for('sqleditor.poll', {
+                'trans_id': self.transId,
+              }),
               method: 'GET',
-              success: function (res) {
+              success: function(res) {
                 if (res.data.status === 'Success') {
                   self.trigger(
                     'pgadmin-sqleditor:loading-icon:message',
-                    gettext("Loading data from the database server and rendering...")
+                    gettext('Loading data from the database server and rendering...')
                   );
 
                   self.call_render_after_poll(res.data);
-                }
-                else if (res.data.status === 'Busy') {
+                } else if (res.data.status === 'Busy') {
                   // If status is Busy then poll the result by recursive call to the poll function
                   self._poll();
                   is_query_running = true;
                   if (res.data.result) {
                     self.update_msg_history(res.data.status, res.data.result, false);
                   }
-                }
-                else if (res.data.status === 'NotConnected') {
+                } else if (res.data.status === 'NotConnected') {
                   self.trigger('pgadmin-sqleditor:loading-icon:hide');
                   // Enable/Disable query tool button only if is_query_tool is true.
                   if (self.is_query_tool) {
                     self.disable_tool_buttons(false);
-                    $("#btn-cancel-query").prop('disabled', true);
+                    $('#btn-cancel-query').prop('disabled', true);
                   }
                   self.update_msg_history(false, res.data.result, true);
-                }
-                else if (res.data.status === 'Cancel') {
+                } else if (res.data.status === 'Cancel') {
                   self.trigger('pgadmin-sqleditor:loading-icon:hide');
-                  self.update_msg_history(false, "Execution Cancelled!", true)
+                  self.update_msg_history(false, 'Execution Cancelled!', true);
                 }
               },
-              error: function (e) {
+              error: function(e) {
                 // Enable/Disable query tool button only if is_query_tool is true.
                 self.resetQueryHistoryObject(self);
                 self.trigger('pgadmin-sqleditor:loading-icon:hide');
                 if (self.is_query_tool) {
                   self.disable_tool_buttons(false);
-                  $("#btn-cancel-query").prop('disabled', true);
+                  $('#btn-cancel-query').prop('disabled', true);
                 }
 
                 if (e.readyState == 0) {
                   self.update_msg_history(false,
-                    gettext("Not connected to the server or the connection to the server has been closed.")
+                    gettext('Not connected to the server or the connection to the server has been closed.')
                   );
                   return;
                 }
@@ -1894,7 +1944,7 @@ define('tools.querytool', [
                 self.update_msg_history(false, msg);
                 // Highlight the error in the sql panel
                 self._highlight_error(msg);
-              }
+              },
             });
           }, self.POLL_FALLBACK_TIME());
       },
@@ -1903,10 +1953,10 @@ define('tools.querytool', [
        * create the Backbone PageableCollection and finally render
        * the data in the backgrid.
        */
-      _render: function (data) {
+      _render: function(data) {
         var self = this;
         self.colinfo = data.col_info;
-        self.primary_keys = (_.isEmpty(data.primary_keys) && data.has_oids)? data.oids : data.primary_keys;
+        self.primary_keys = (_.isEmpty(data.primary_keys) && data.has_oids) ? data.oids : data.primary_keys;
         self.client_primary_key = data.client_primary_key;
         self.cell_selected = false;
         self.selected_model = null;
@@ -1918,8 +1968,8 @@ define('tools.querytool', [
         /* If object don't have primary keys then set the
          * can_edit flag to false.
          */
-        if ((self.primary_keys === null || self.primary_keys === undefined
-          || _.size(self.primary_keys) === 0) && self.has_oids == false)
+        if ((self.primary_keys === null || self.primary_keys === undefined ||
+            _.size(self.primary_keys) === 0) && self.has_oids == false)
           self.can_edit = false;
         else
           self.can_edit = true;
@@ -1928,56 +1978,57 @@ define('tools.querytool', [
          * Filter and Limit buttons.
          */
         if (self.can_filter) {
-          $(".limit").prop('disabled', false);
-          $(".limit").addClass('limit-enabled');
-          $("#btn-filter").prop('disabled', false);
-          $("#btn-filter-dropdown").prop('disabled', false);
+          $('.limit').prop('disabled', false);
+          $('.limit').addClass('limit-enabled');
+          $('#btn-filter').prop('disabled', false);
+          $('#btn-filter-dropdown').prop('disabled', false);
         }
 
         // Initial settings for delete row, copy row and paste row buttons.
-        $("#btn-delete-row").prop('disabled', true);
+        $('#btn-delete-row').prop('disabled', true);
         // Do not disable save button in query tool
         if (!self.is_query_tool && !self.can_edit) {
-          $("#btn-save").prop('disabled', true);
-          $("#btn-file-menu-dropdown").prop('disabled', true);
+          $('#btn-save').prop('disabled', true);
+          $('#btn-file-menu-dropdown').prop('disabled', true);
         }
         if (!self.can_edit) {
-          $("#btn-delete-row").prop('disabled', true);
-          $("#btn-copy-row").prop('disabled', true);
-          $("#btn-paste-row").prop('disabled', true);
+          $('#btn-delete-row').prop('disabled', true);
+          $('#btn-copy-row').prop('disabled', true);
+          $('#btn-paste-row').prop('disabled', true);
         }
 
         // Fetch the columns metadata
         self._fetch_column_metadata.call(
-          self, data, function () {
+          self, data,
+          function() {
             var self = this;
 
             self.trigger(
               'pgadmin-sqleditor:loading-icon:message',
-              gettext("Loading data from the database server and rendering..."),
+              gettext('Loading data from the database server and rendering...'),
               self
             );
 
             // Show message in message and history tab in case of query tool
             self.total_time = self.get_query_run_time(self.query_start_time, self.query_end_time);
-            var msg1 = S(gettext("Successfully run. Total query runtime: %s.")).sprintf(self.total_time).value();
-            var msg2 = S(gettext("%s rows affected.")).sprintf(self.rows_affected).value();
+            var msg1 = S(gettext('Successfully run. Total query runtime: %s.')).sprintf(self.total_time).value();
+            var msg2 = S(gettext('%s rows affected.')).sprintf(self.rows_affected).value();
 
-              // Display the notifier if the timeout is set to >= 0
-              if (self.info_notifier_timeout >= 0) {
-                alertify.success(msg1 + ' ' + msg2, self.info_notifier_timeout);
-              }
+            // Display the notifier if the timeout is set to >= 0
+            if (self.info_notifier_timeout >= 0) {
+              alertify.success(msg1 + ' ' + msg2, self.info_notifier_timeout);
+            }
 
             var _msg = msg1 + '\n' + msg2;
 
 
-              // If there is additional messages from server then add it to message
-              if(!_.isNull(data.additional_messages) &&
-                    !_.isUndefined(data.additional_messages)) {
-                    _msg = data.additional_messages + '\n' + _msg;
-              }
+            // If there is additional messages from server then add it to message
+            if (!_.isNull(data.additional_messages) &&
+              !_.isUndefined(data.additional_messages)) {
+              _msg = data.additional_messages + '\n' + _msg;
+            }
 
-              self.update_msg_history(true,_msg, false);
+            self.update_msg_history(true, _msg, false);
 
             /* Add the data to the collection and render the grid.
              * In case of Explain draw the graph on explain panel
@@ -1996,7 +2047,7 @@ define('tools.querytool', [
               // start rendering the grid.
               self.gridView.data_output_panel.focus();
               setTimeout(
-                function () {
+                function() {
                   self.gridView.render_grid(
                     explain_data_array, self.columns, self.can_edit,
                     self.client_primary_key
@@ -2014,7 +2065,7 @@ define('tools.querytool', [
               // start rendering the grid.
               self.gridView.data_output_panel.focus();
               setTimeout(
-                function () {
+                function() {
                   self.gridView.render_grid(data.result, self.columns,
                     self.can_edit, self.client_primary_key, data.rows_affected);
                 }, 10
@@ -2023,31 +2074,30 @@ define('tools.querytool', [
 
             // Hide the loading icon
             self.trigger('pgadmin-sqleditor:loading-icon:hide');
-            $("#btn-flash").prop('disabled', false);
+            $('#btn-flash').prop('disabled', false);
           }.bind(self)
         );
       },
 
       // This function creates the columns as required by the backgrid
-      _fetch_column_metadata: function (data, cb) {
+      _fetch_column_metadata: function(data, cb) {
         var colinfo = data.colinfo,
           primary_keys = data.primary_keys,
-          result = data.result,
           columns = [],
           self = this;
         // Store pg_types in an array
         var pg_types = new Array();
-        _.each(data.types, function (r) {
+        _.each(data.types, function(r) {
           pg_types[r.oid] = [r.typname];
         });
 
         // Create columns required by slick grid to render
-        _.each(colinfo, function (c) {
+        _.each(colinfo, function(c) {
           var is_primary_key = false;
 
           // Check whether table have primary key
           if (_.size(primary_keys) > 0) {
-            _.each(primary_keys, function (value, key) {
+            _.each(primary_keys, function(value, key) {
               if (key === c.name)
                 is_primary_key = true;
             });
@@ -2065,7 +2115,7 @@ define('tools.querytool', [
             // have use casting so we will use type
             // returned by cast function
             pg_types[pg_types.length - 1][0] ?
-              pg_types[pg_types.length - 1][0] : 'unknown';
+            pg_types[pg_types.length - 1][0] : 'unknown';
 
           if (!is_primary_key)
             col_type += type;
@@ -2080,52 +2130,52 @@ define('tools.querytool', [
           }
           // Identify cell type of column.
           switch (type) {
-            case "oid":
-              col_cell = 'oid';
-              break;
-            case "json":
-            case "json[]":
-            case "jsonb":
-            case "jsonb[]":
-              col_cell = 'Json';
-              break;
-            case "smallint":
-            case "smallint[]":
-            case "integer":
-            case "integer[]":
-            case "bigint":
-            case "bigint[]":
-            case "decimal":
-            case "decimal[]":
-            case "numeric":
-            case "numeric[]":
-            case "real":
-            case "real[]":
-            case "double precision":
-            case "double precision[]":
-              col_cell = 'number';
-              break;
-            case "boolean":
-              col_cell = 'boolean';
-              break;
-            case "character":
-            case "character[]":
-            case "\"char\"":
-            case "\"char\"[]":
-            case "character varying":
-            case "character varying[]":
-              if (c.internal_size && c.internal_size >= 0 && c.internal_size != 65535) {
+          case 'oid':
+            col_cell = 'oid';
+            break;
+          case 'json':
+          case 'json[]':
+          case 'jsonb':
+          case 'jsonb[]':
+            col_cell = 'Json';
+            break;
+          case 'smallint':
+          case 'smallint[]':
+          case 'integer':
+          case 'integer[]':
+          case 'bigint':
+          case 'bigint[]':
+          case 'decimal':
+          case 'decimal[]':
+          case 'numeric':
+          case 'numeric[]':
+          case 'real':
+          case 'real[]':
+          case 'double precision':
+          case 'double precision[]':
+            col_cell = 'number';
+            break;
+          case 'boolean':
+            col_cell = 'boolean';
+            break;
+          case 'character':
+          case 'character[]':
+          case '"char"':
+          case '"char"[]':
+          case 'character varying':
+          case 'character varying[]':
+            if (c.internal_size && c.internal_size >= 0 && c.internal_size != 65535) {
                 // Update column type to display length on column header
-                col_type += ' (' + c.internal_size + ')';
-              }
-              col_cell = 'string';
-              break;
-            case "bytea":
-            case "bytea[]":
-              col_cell = 'binary';
-              break;
-            default:
-              col_cell = 'string';
+              col_type += ' (' + c.internal_size + ')';
+            }
+            col_cell = 'string';
+            break;
+          case 'bytea':
+          case 'bytea[]':
+            col_cell = 'binary';
+            break;
+          default:
+            col_cell = 'string';
           }
 
           column_label = c.display_name + '<br>' + col_type;
@@ -2143,7 +2193,7 @@ define('tools.querytool', [
               'type': type,
               'not_null': c.not_null,
               'has_default_val': c.has_default_val,
-              'is_array': array_type_bracket_index > -1 && array_type_bracket_index + 2 == type.length
+              'is_array': array_type_bracket_index > -1 && array_type_bracket_index + 2 == type.length,
             };
           columns.push(col);
         });
@@ -2154,12 +2204,12 @@ define('tools.querytool', [
         }
       },
 
-      resetQueryHistoryObject: function (history) {
+      resetQueryHistoryObject: function(history) {
         history.total_time = '-';
       },
 
       // This function is used to raise appropriate message.
-      update_msg_history: function (status, msg, clear_grid) {
+      update_msg_history: function(status, msg, clear_grid) {
         var self = this;
         if (clear_grid === undefined)
           clear_grid = true;
@@ -2182,13 +2232,13 @@ define('tools.querytool', [
         }
 
         // Scroll automatically when msgs appends to element
-        setTimeout(function () {
-          $(".sql-editor-message").scrollTop($(".sql-editor-message")[0].scrollHeight);
-          ;
+        setTimeout(function() {
+          $('.sql-editor-message').scrollTop($('.sql-editor-message')[0].scrollHeight);
+
         }, 10);
 
         if (status != 'Busy') {
-          $("#btn-flash").prop('disabled', false);
+          $('#btn-flash').prop('disabled', false);
           self.trigger('pgadmin-sqleditor:loading-icon:hide');
           self.gridView.history_collection.add({
             'status': status,
@@ -2202,9 +2252,7 @@ define('tools.querytool', [
       },
 
       // This function will return the total query execution Time.
-      get_query_run_time: function (start_time, end_time) {
-        var self = this;
-
+      get_query_run_time: function(start_time, end_time) {
         // Calculate the difference in milliseconds
         var difference_ms, miliseconds;
         difference_ms = miliseconds = end_time.getTime() - start_time.getTime();
@@ -2218,8 +2266,7 @@ define('tools.querytool', [
           return minutes + ' min';
         else if (seconds > 0) {
           return seconds + ' secs';
-        }
-        else
+        } else
           return miliseconds + ' msec';
       },
 
@@ -2227,23 +2274,23 @@ define('tools.querytool', [
        * is editable or not depending on primary keys
        * and staged_rows flag
        */
-      is_editable: function (obj) {
+      is_editable: function(obj) {
         var self = this;
         if (obj instanceof Backbone.Collection)
           return false;
         return (self.get('can_edit'));
       },
 
-      rows_to_delete: function (data) {
+      rows_to_delete: function(data) {
         var self = this,
           tmp_keys = self.primary_keys;
 
         // re-calculate rows with no primary keys
         self.temp_new_rows = [];
-        data.forEach(function (d, idx) {
+        data.forEach(function(d, idx) {
           var p_keys_list = _.pick(d, tmp_keys),
             is_primary_key = Object.keys(p_keys_list).length ?
-              p_keys_list[0] : undefined;
+            p_keys_list[0] : undefined;
 
           if (!is_primary_key) {
             self.temp_new_rows.push(idx);
@@ -2253,15 +2300,15 @@ define('tools.querytool', [
       },
 
       // This function will delete selected row.
-      _delete: function () {
-        var self = this, deleted_keys = [],
-          dgrid = document.getElementById("datagrid"),
+      _delete: function() {
+        var self = this,
+          deleted_keys = [],
           is_added = _.size(self.data_store.added),
           is_updated = _.size(self.data_store.updated);
 
         // Remove newly added rows from staged rows as we don't want to send them on server
         if (is_added) {
-          _.each(self.data_store.added, function (val, key) {
+          _.each(self.data_store.added, function(val, key) {
             if (key in self.data_store.staged_rows) {
               // Remove the row from data store so that we do not send it on server
               deleted_keys.push(key);
@@ -2275,9 +2322,7 @@ define('tools.querytool', [
         // then just re-render the grid
         if (_.size(self.data_store.staged_rows) == 0) {
           var grid = self.slickgrid,
-            dataView = grid.getData(),
-            data = dataView.getItems(),
-            idx = 0;
+            dataView = grid.getData();
 
           grid.resetActiveCell();
 
